Skip to main content
curl -X GET "https://api.polyhush.com/api/v1/trading/balance?include_summary=true" \
     -H "X-API-Key: your-api-key"

Query Parameters

include_summary
boolean
default:"false"
If true, includes portfolio totals (position value, order counts).

Response

balance
number
Total USDC balance in your account.
available_balance
number
Balance available for trading (not reserved for open orders).
reserved_balance
number
Balance reserved for open orders.

Additional fields when include_summary=true

total_position_value
number
Current market value of all positions.
total_value
number
Total portfolio value (balance + position value).
open_orders_count
integer
Number of open orders.
positions_count
integer
Number of active positions.
{
  "balance": 1000.00,
  "available_balance": 850.00,
  "reserved_balance": 150.00
}